# Componere\Patch::derive

(Componere 2 >= 2.1.1)

Componere\Patch::derive — Dérivation de patch

### Description

public Componere\Patch::derive(object `$instance`): Patch

Dérive un Patch pour l'`instance` donnée

### Liste de paramètres

`instance`

  La cible pour le patch dérivé

### Valeurs de retour

Un Patch pour `instance` dérivé du Patch courant

### Exceptions

Avertissement

Lance une InvalidArgumentException si `instance` n'est pas compatible